Перейти к содержимому

Migration Status

GET
/v1/integrations/s3/migration
curl --request GET \
--url https://api.cloud.agentums.ru/v1/integrations/s3/migration \
--header 'Authorization: Bearer <token>'

Прогресс переноса + СКОЛЬКО ЕЩЁ лежит у нас (пересчёт, а не только запомненный итог).

Successful Response

Media typeapplication/json
StorageMigrationOut

Состояние переноса уже загруженных файлов в свой бакет.

object
error
Error
string
""
failed
Failed
integer
0
finished_at
Finished At
string
""
moved
Moved
integer
0
remaining
Remaining
integer
0
started_at
Started At
string
""
status
required
Status
string
total
Total
integer
0
Example
{
"error": "",
"failed": 0,
"finished_at": "",
"moved": 0,
"remaining": 0,
"started_at": "",
"total": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}